/* $Id$

This file is part of libmspfs
Copyright © 2006-2008  Mikko Rasa, Mikkosoft Productions
Distributed under the LGPL
*/

#ifndef MSP_FS_UTILS_H_
#define MSP_FS_UTILS_H_

namespace Msp {
namespace FS {

class Path;

struct Filename
{
	std::string base;
	std::string ext;
};

Path fix_case(const Path &path);

/// Removes a file
void unlink(const Path &path);

Filename splitext(const std::string &);
int fnmatch(const std::string &, const Path &);

/// Makes a path relative to some base path.  That is, base/result==path.
Path relative(const Path &path, const Path &base);

std::string basename(const std::string &);

inline bool is_windows_drive(const std::string &p)
{ return (p.size()==2 && ((p[0]>='A' && p[0]<='Z') || (p[0]>='a' && p[0]<='z')) && p[1]==':'); }

} // namespace FS
} // namespace Msp

#endif
